std::_Fwd_list_const_iterator< _Tp > Struct Template Reference

## Public Types

typedef const _Fwd_list_node< _Tp > | _Node
typedef _Fwd_list_const_iterator< _Tp > | _Self
typedef ptrdiff_t | difference_type
typedef _Fwd_list_iterator< _Tp > | iterator
typedef std::forward_iterator_tag | iterator_category
typedef const _Tp * | pointer
typedef const _Tp & | reference
typedef _Tp | value_type

## Public Member Functions

| _Fwd_list_const_iterator (const _Fwd_list_node_base *__n)
| _Fwd_list_const_iterator (const iterator &__iter)
_Self | _M_next () const
bool | operator!= (const _Self &__x) const
reference | operator* () const
_Self & | operator++ ()
_Self | operator++ (int)
pointer | operator-> () const
bool | operator== (const _Self &__x) const

## Public Attributes

const _Fwd_list_node_base * | _M_node

## Detailed Description

### template<typename _Tp>
struct std::_Fwd_list_const_iterator< _Tp >

A forward_list::const_iterator.

All the functions are op overloads.

Definition at line 187 of file forward_list.h.

The documentation for this struct was generated from the following file:

- forward_list.h